//
//  PictureListMainTableCell.m
//  PhoneTableTest
//
//  Created by Sam Dods on 06/08/2013.
//  Copyright (c) 2013 Sam Dods. All rights reserved.
//

#import "PictureListMainTableCell.h"

@interface PictureListMainTableCell ()
@property (weak, nonatomic) IBOutlet UILabel *telephoneNumberLabel;
@end

@implementation PictureListMainTableCell

-(IBAction)MakePhoneCall:(id)sender
{
    //send the delegate the number to call.
    [self.delegate pictureListMainTableCell:self wantsToCallNumber:self.telephoneNumber];
}

-(void)setTelephoneNumber:(NSString *)telephoneNumber
{
    self.telephoneNumberLabel.text = telephoneNumber;
}

-(NSString *)telephoneNumber
{
    return self.telephoneNumberLabel.text;
}

@end
